{% load widget_tweaks %}

<div class="card-body">
    <h5 class="mb-4" style="float: left;">Project Modification</h5>
    {% if not project.is_published %}
        <div style="float: right;">
            <button type="button" class="btn btn-danger btn-lg" data-toggle="modal" data-target="#projectcheck">Finalize your Project</button>
        </div>
    {% endif %}
    <div class="clearfix"></div>
    
    <div class="container">
        <div class="modal fade" id="projectcheck" role="dialog">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Warning</h4>
                    </div>
                    <div class="modal-body">
                        {% if project.application.is_published %}
                            <p>After finalizing your project you can not modify your project anymore. Are you sure to finalize project?
                            </p>
                        {% else %}
                            <p>Project is not available when you didn't complete your application. Please visit application link and finalize your application.
                            </p>
                        {% endif %}
                    </div>

                    {% if project.application.is_published %}
                        <div class="modal-footer">
                            <form method="POST" id="application-published" action="{% url 'dashboard:application-project-published' application.sku application.project.sku %}">
                                {% csrf_token %}
                                <input type="hidden" name="g-recaptcha-response" id='recaptcha'>
                                <input type="hidden" name="is_published" class="form-control invisible" value='true' /> 
                                <button style="float: right;" type="submit" class="btn btn-info">Yes</button>
                            </form>
                            <button style="float: right;" class="btn btn-danger" data-dismiss="modal">No</button>
                        </div>
                    {% else %}
                        <div class="modal-footer">
                            <a href="{% url 'dashboard:application-edit' application.sku %}" style="float: right;" type="submit" class="btn btn-info">Profile Section</a>
                            <button style="float: right;" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>
{% comment %} 
            <div class="modal fade" id="projectModal" role="dialog">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title">Information</h4>
                        </div>
                        <div class="modal-body">
                            
                            <p>First you must finalize your application.</p>
                        </div>

                        <div class="modal-footer">
                            <button style="float: right;" class="btn btn-danger" data-dismiss="modal">No</button>
                        </div>
                    </div>
                </div>
            </div> {% endcomment %}
    </div>

    {% if project_form.errors %}
        <div class="alert alert-danger">
            {{ project_form.errors }}
        </div>
    {% endif %}

    <br/>
    <p class="text-info">Please fill out this form with attention. Note that information filled here alongside your picture and your job description, is uploaded to your profile to attract international investment.</p>
    <hr />
    {% if not project.is_published %}
        <form method="POST" enctype="multipart/form-data" class="tooltip-label-right" id="project-draft" action="{% url 'dashboard:application-project-edit' application.sku application.project.sku %}">
            {% csrf_token %}
            <input type="hidden" name="g-recaptcha-response" id='recaptcha'>

            <div class="form-group position-relative error-l-50">
                <label>{{ project_form.title.label }} <span class="small text-danger">(required)</span> </label>
                {% render_field project_form.title class="form-control"  %}

                <div class="invalid-tooltip">
                    {{ project_form.title.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ project_form.video.label }} <span class="small text-danger">(required)</span> <p class="small text-info">Video must be in MP4 format and below than 100mb size.</p></label>
                {% render_field project_form.video class="form-control"  %}

                <div id="parent-progress-video" class="progress" style="height: 13.5px; border-radius: 0;">
                    <div id="progress-video" class="progress-bar bg-success" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                </div>

                <div class="invalid-tooltip">
                    {{ project_form.video.label }} is required!
                </div>
                
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ project_form.cover.label }} <span class="small text-danger">(required)</span>  <p class="small text-info">Picture must be in 1280x720 dimension</p></label>
                {% render_field project_form.cover class="form-control"  %}
                <div id="parent-progress-cover" class="progress" style="height: 13.5px; border-radius: 0;">
                    <div id="progress-cover" class="progress-bar bg-success" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                </div>

                <div class="invalid-tooltip">
                    {{ project_form.cover.label }} is required!
                </div>
            </div>

            <label>{{ project_form.summary.label }} <span class="small text-danger">(required)</span> <p class="small text-info">At least more than 250 characters.</p></label>

            <div class="editor-wrapper form-group position-relative error-l-50">
                {% render_field project_form.summary class="form-control"  %}
                

                <div class="invalid-tooltip">
                    {{ project_form.summary.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ project_form.summary_img.label }} Picture <p class="small text-info">Picture must be in 1280x720 dimension</p></label>
                {% render_field project_form.summary_img class="form-control"  %}
                <div id="parent-progress-summary_img" class="progress" style="height: 13.5px; border-radius: 0;">
                    <div id="progress-summary_img" class="progress-bar bg-success" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                </div>

                <div class="invalid-tooltip">
                    {{ project_form.summary_img.label }} is required!
                </div>
            </div>


            <label>{{ project_form.problem.label }} <span class="small text-danger">(required)</span> </label>
            <div class="editor-wrapper form-group position-relative error-l-50">
                {% render_field project_form.problem class="form-control"  %}

                <div class="invalid-tooltip">
                    {{ project_form.problem.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ project_form.problem_img.label }} Picture <p class="small text-info">HINT: Creative picture always help investors to understand better in less time.</p></label>
                
                {% render_field project_form.problem_img class="form-control"  %}
                <div id="parent-progress-problem_img" class="progress" style="height: 13.5px; border-radius: 0;">
                    <div id="progress-problem_img" class="progress-bar bg-success" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                </div>

                <div class="invalid-tooltip">
                    {{ project_form.problem_img.label }} is required!
                </div>
            </div>


            <label>{{ project_form.solution.label }} <span class="small text-danger">(required)</span> </label>
            <div class="editor-wrapper form-group position-relative error-l-50">
                {% render_field project_form.solution class="form-control"  %}

                <div class="invalid-tooltip">
                    {{ project_form.solution.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ project_form.solution_img.label }} Picture <p class="small text-info">HINT: Creative picture always help investors to understand better in less time.</p></label>
                {% render_field project_form.solution_img class="form-control"  %}
                <div id="parent-progress-solution_img" class="progress" style="height: 13.5px; border-radius: 0;">
                    <div id="progress-solution_img" class="progress-bar bg-success" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                </div>

                <div class="invalid-tooltip">
                    {{ project_form.solution_img.label }} is required!
                </div>
            </div>


            <label>{{ project_form.product.label }} <span class="small text-danger">(required)</span> </label>
            <div class="editor-wrapper form-group position-relative error-l-50">
                {% render_field project_form.product class="form-control"  %}

                <div class="invalid-tooltip">
                    {{ project_form.product.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ project_form.product_img.label }} Picture <p class="small text-info">HINT: Creative picture always help investors to understand better in less time.</p></label>
                {% render_field project_form.product_img class="form-control"  %}
                <div id="parent-progress-product_img" class="progress" style="height: 13.5px; border-radius: 0;">
                    <div id="progress-product_img" class="progress-bar bg-success" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                </div>

                <div class="invalid-tooltip">
                    {{ project_form.product_img.label }} is required!
                </div>
            </div>


            <label>{{ project_form.customer.label }} <span class="small text-danger">(required)</span> </label>
            <div class="editor-wrapper editor-wrapper form-group position-relative error-l-50">
                {% render_field project_form.customer class="form-control"  %}

                <div class="invalid-tooltip">
                    {{ project_form.customer.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ project_form.customer_img.label }} Picture <p class="small text-info">HINT: Creative picture always help investors to understand better in less time.</p> </label>
                {% render_field project_form.customer_img class="form-control"  %}
                <div id="parent-progress-customer_img" class="progress" style="height: 13.5px; border-radius: 0;">
                    <div id="progress-customer_img" class="progress-bar bg-success" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                </div>

                <div class="invalid-tooltip">
                    {{ project_form.customer_img.label }} is required!
                </div>
            </div>


            <label>{{ project_form.business.label }} <span class="small text-danger">(required)</span></label>
            <div class="editor-wrapper form-group position-relative error-l-50">
                {% render_field project_form.business class="form-control"  %}

                <div class="invalid-tooltip">
                    {{ project_form.business.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ project_form.business_img.label }} Picture <p class="small text-info">HINT: Creative picture always help investors to understand better in less time.</p></label>
                {% render_field project_form.business_img class="form-control"  %}
                <div id="parent-progress-business_img" class="progress" style="height: 13.5px; border-radius: 0;">
                    <div id="progress-business_img" class="progress-bar bg-success" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                </div>

                <div class="invalid-tooltip">
                    {{ project_form.business_img.label }} is required!
                </div>
            </div>

            <label>{{ project_form.market.label }} <span class="small text-danger">(required)</span></label>
            <div class="editor-wrapper form-group position-relative error-l-50">
                {% render_field project_form.market class="form-control"  %}

                <div class="invalid-tooltip">
                    {{ project_form.market.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ project_form.market_img.label }} Picture <p class="small text-info">HINT: Creative picture always help investors to understand better in less time.</p> </label>
                {% render_field project_form.market_img class="form-control"  %}
                <div id="parent-progress-market_img" class="progress" style="height: 13.5px; border-radius: 0;">
                    <div id="progress-market_img" class="progress-bar bg-success" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                </div>

                <div class="invalid-tooltip">
                    {{ project_form.market_img.label }} is required!
                </div>
            </div>

            <label>{{ project_form.competition.label }} <span class="small text-danger">(required)</span></label>
            <div class="editor-wrapper form-group position-relative error-l-50">
                {% render_field project_form.competition class="form-control"  %}

                <div class="invalid-tooltip">
                    {{ project_form.competition.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ project_form.competition_img.label }} Picture <p class="small text-info">HINT: Creative picture always help investors to understand better in less time.</p> </label>
                {% render_field project_form.competition_img class="form-control"  %}
                <div id="parent-progress-competition_img" class="progress" style="height: 13.5px; border-radius: 0;">
                    <div id="progress-competition_img" class="progress-bar bg-success" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                </div>

                <div class="invalid-tooltip">
                    {{ project_form.competition_img.label }} is required!
                </div>
            </div>

            <label>{{ project_form.vision.label }} <span class="small text-danger">(required)</span></label>
            <div class="editor-wrapper form-group position-relative error-l-50">
                {% render_field project_form.vision class="form-control"  %}

                <div class="invalid-tooltip">
                    {{ project_form.vision.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ project_form.vision_img.label }} Picture <p class="small text-info">HINT: Creative picture always help investors to understand better in less time.</p> </label>
                {% render_field project_form.vision_img class="form-control"  %}
                <div id="parent-progress-vision_img" class="progress" style="height: 13.5px; border-radius: 0;">
                    <div id="progress-vision_img" class="progress-bar bg-success" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                </div>

                <div class="invalid-tooltip">
                    {{ project_form.vision_img.label }} is required!
                </div>
            </div>

            <label>{{ project_form.founders.label }} <span class="small text-danger">(required)</span></label>
            <div class="editor-wrapper form-group position-relative error-l-50">
                {% render_field project_form.founders class="form-control"  %}

                <div class="invalid-tooltip">
                    {{ project_form.founders.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ project_form.founders_img.label }} Picture <p class="small text-info">HINT: Creative picture always help investors to understand better in less time.</p> </label>
                {% render_field project_form.founders_img class="form-control"  %}
                <div id="parent-progress-founders_img" class="progress" style="height: 13.5px; border-radius: 0;">
                    <div id="progress-founders_img" class="progress-bar bg-success" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                
                <div class="invalid-tooltip">
                    {{ project_form.founders_img.label }} is required!
                </div>
            </div>

            <div class="btn-group mr-2 mb-1" role="group">
            <button type="submit" class="btn btn-primary ">Save as Draft</button>
            </div>
        </form>
        <br />
        {% comment %} <div></div> {% endcomment %}
        {% comment %} <div class="form-group position-relative error-l-50">
            <div id="team-members">
                <form method="POST" id="insert_form" action="{% url 'dashboard:project-team-member' application.sku application.project.sku %}" novalidate>
                    {% csrf_token %}
                    <input type="hidden" name="g-recaptcha-response" id='recaptcha' />

                    <div class="form-group position-relative error-l-50">
                        <label for="team-name">Team Name</label>
                        <input type="text" name="team-name" id="team-name" value="{{ team.name }}" class="form-control">
                    </div>

                    <h4>Add your team mates</h4>
                    <div class="table-responsive-lg">
                        <table class="table table-bordered table-striped text-center" id="item_table">
                            <tr>
                                <th>First Name</th>
                                <th>Last Name</th>
                                <th>position</th>
                                <th>
                                    <button type="button" name="add" class="btn btn-success btn-sm add">
                                        <span style="font-size: 16px;" class="simple-icon-plus"></span>
                                    </button>
                                </th>
                            </tr>
                            {% for member in team.colleagues.all %}
                            <tr>
                                <td>{{ member.first_name }}</td>
                                <td>{{ member.last_name }}</td>
                                <td>{{ member.position }}</td>
                            </tr>
                            {% endfor %}
                            <br />
                        </table>
                    </div>
                    <div>
                        <button type="submit" class="btn btn-primary">Insert</button>
                    </div>
                </form>

            </div>
        </div> {% endcomment %}

    {% else %}

    <h5>Title</h5>
    <div class="form-group position-relative">
        <input type="text" disabled="disabled" class="form-control" value={{ project.title }}>
    </div>

    {% endif %}
</div>